--[[
	清图奖励的数据模块
]]

DataClearMap = {}

local s_ClearMapState = 0
local s_ClearMapReward = 0
local s_ClearMapRewardList = nil
local s_ClearMapTime = 1512534464000

local function updateClearMap( allData )
	if (allData) then
		s_ClearMapRewardList = {}
		for i, data in ipairs(allData.fightDataAry) do  
			s_ClearMapReward = false
			if(data.nextStage~=0)then
				if(data.medalNum>=data.nextStage)then
					if(data.curStage<data.maxStage)then
						s_ClearMapReward = true
					end
				end
			end
			table.insert(s_ClearMapRewardList, data)
			if(s_ClearMapState~=1 and s_ClearMapState~=2)then
				s_ClearMapState = data.status
			end
			s_ClearMapTime = data.timePoint
		end
		
	end
end

function DataClearMap.init( allData )
	updateClearMap(allData)
end

function DataClearMap.update( allData )
	updateClearMap(allData)
end

function DataClearMap.getClearMapTime()
	return s_ClearMapTime
end

function DataClearMap.getClearMapInfo( index )
	return s_ClearMapRewardList[index]
end

function DataClearMap.IsVisible()
	if (s_ClearMapState==1 or s_ClearMapState==2) then
		return true
	else
		return false
	end
end

function DataClearMap.IsReward()
	return s_ClearMapReward
end

function DataClearMap_IsVisibleIcon()
	return s_ClearMapReward
end